Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Tests.Build.MacOSXMakefileBuildTest Class Referencesealed
Inheritance diagram for Zwipe.Test.Tools.Tests.Build.MacOSXMakefileBuildTest:
[legend]
Collaboration diagram for Zwipe.Test.Tools.Tests.Build.MacOSXMakefileBuildTest:
[legend]

## Public Member Functions
| MacOSXMakefileBuildTest ()
Public Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
TestSuite | Perform (TestContext context)

## Additional Inherited Members
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest
| BaseMakefileBuildTest (string testName, string cross, string[] configurations)
override JobQueue | GetJobs ()
override bool | BuildJob (Job job)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
| BaseBuildTest (string testName, string buildFileExtension, bool preserveWarnings, bool buildInMultiThread)
virtual string | ParseLog (string fileName, IEnumerable< string > lines, out string warnings)
virtual bool | CheckSkipWarning (string fileName, string line)
bool | BuildJob (Job job)
override void | Execute ()
void | AddWarning (string name, string message)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
| BaseTest (string name)
void | AddSuccess (string name, string format, params object[] args)
void | AddSuccess (string name, string message)
void | AddError (string name, string format, params object[] args)
void | AddError (string name, string message)
void | Log (string format, params object[] args)
void | Log (string message)
virtual bool | Prepare ()
virtual void | Clean ()
void | Execute ()
Properties inherited from Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest
string | Cross`[get, set]`
string[] | Configurations`[get]`
static string | MakePath`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.Build.BaseBuildTest
string | BuildFileExtension`[get]`
bool | PreserveWarnings`[get]`
bool | MultiThreadBuild`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.BaseTest
string | Name`[get]`
TestContext | Context`[get, private set]`
TestSuite | Suite`[get, private set]`

## Constructor & Destructor Documentation

## ◆ MacOSXMakefileBuildTest()

Zwipe.Test.Tools.Tests.Build.MacOSXMakefileBuildTest.MacOSXMakefileBuildTest | ( |  | ) |

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Tests/Build/MacOSXMakefileBuildTest.cs